Package be.ehealth.businessconnector.chapterIV.builders.impl

# Class CommonBuilderImpl

java.lang.Object
be.ehealth.businessconnector.chapterIV.builders.impl.CommonBuilderImpl

All Implemented Interfaces:
  `CommonBuilder`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class CommonBuilderImpl extends Object implements CommonBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook
Builder for the common Chapter IV parts based on the input. Implements : `CommonBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `RESULT`
  `static final String`
  `RESULT_CARERECEIVER`
  `static final String`
  `RESULT_COMMONINPUT`
  `static final String`
  `RESULT_FOLDER`
  `static final String`
  `RESULT_KMEHRMESSAGE`
  `static final String`
  `RESULT_RECORDCOMMONINPUT`
  `static final String`
  `RESULT_REFERENCES`
  `static final String`
  `RESULT_SEALEDREQUEST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonBuilderImpl()`
  `CommonBuilderImpl(Chapter4XmlValidator chapter4XmlValidator, KmehrValidator kmehrValidator, KmehrBuilder kmehrBuilder)`
  `CommonBuilderImpl(Crypto crypto, Chapter4XmlValidator chapter4XmlValidator, KmehrValidator kmehrValidator, KmehrBuilder kmehrBuilder)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `ChapterIVBuilderResponse`
  `createAgreementRequest(FolderType folder, boolean isTest, ChapterIVReferences references, XmlObjectFactory xmlObjectFactory, Instant agreementStartDate)`
  creates agreement request with the given input.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RESULT

    public static final String RESULT
    See Also:
      - Constant Field Values

  - ### RESULT_SEALEDREQUEST

    public static final String RESULT_SEALEDREQUEST
    See Also:
      - Constant Field Values

  - ### RESULT_COMMONINPUT

    public static final String RESULT_COMMONINPUT
    See Also:
      - Constant Field Values

  - ### RESULT_RECORDCOMMONINPUT

    public static final String RESULT_RECORDCOMMONINPUT
    See Also:
      - Constant Field Values

  - ### RESULT_CARERECEIVER

    public static final String RESULT_CARERECEIVER
    See Also:
      - Constant Field Values

  - ### RESULT_KMEHRMESSAGE

    public static final String RESULT_KMEHRMESSAGE
    See Also:
      - Constant Field Values

  - ### RESULT_FOLDER

    public static final String RESULT_FOLDER
    See Also:
      - Constant Field Values

  - ### RESULT_REFERENCES

    public static final String RESULT_REFERENCES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CommonBuilderImpl

    @Deprecated public CommonBuilderImpl(Crypto crypto, Chapter4XmlValidator chapter4XmlValidator, KmehrValidator kmehrValidator, KmehrBuilder kmehrBuilder) throws TechnicalConnectorException
    Deprecated.
    Parameters:
      `crypto` -
      `chapter4XmlValidator` -
      `kmehrValidator` -
      `kmehrBuilder` -
    Throws:
      `TechnicalConnectorException`

  - ### CommonBuilderImpl

    public CommonBuilderImpl()

  - ### CommonBuilderImpl

    public CommonBuilderImpl(Chapter4XmlValidator chapter4XmlValidator, KmehrValidator kmehrValidator, KmehrBuilder kmehrBuilder) throws TechnicalConnectorException
    Parameters:
      `chapter4XmlValidator` -
      `kmehrValidator` -
      `kmehrBuilder` -
    Throws:
      `TechnicalConnectorException`

- ## Method Details

  - ### createAgreementRequest

    public ChapterIVBuilderResponse createAgreementRequest(FolderType folder, boolean isTest, ChapterIVReferences references, XmlObjectFactory xmlObjectFactory, Instant agreementStartDate) throws TechnicalConnectorException, ChapterIVBusinessConnectorException
    Description copied from interface: `CommonBuilder`
    creates agreement request with the given input.
    Specified by:
      `createAgreementRequest` in interface `CommonBuilder`
    Parameters:
      `folder` -
      `isTest` -
      `xmlObjectFactory` - factory for xml objects ,different objects are created depending on the type of conversation
      `agreementStartDate` -
    Returns:
    Throws:
      `TechnicalConnectorException`
      `ChapterIVBusinessConnectorException`
    See Also:
      - invalid reference

            be.ehealth.businessconnector.chapterIV.builders.CommonBuilder#createAgreementRequest(be.fgov.ehealth.standards.kmehr.schema.v1.FolderType, boolean, java.lang.String, java.lang.String, be.ehealth.businessconnector.chapterIV.wrapper.factory.XmlObjectFactory, Instant)

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`